> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Admin Task

> Updates an admin task's status and optional assignee, stamping completion metadata.

Not available to API keys yet. It will need `people:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/update-admin-task
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/update-admin-task:
    post:
      operationId: updateAdminTask
      summary: Update Admin Task
      description: >-
        Updates an admin task's status and optional assignee, stamping
        completion metadata.


        Not available to API keys yet. It will need `people:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAdminTaskRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateAdminTaskResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateAdminTaskRequest:
      type: object
      properties:
        hrisAdminTaskId:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - PENDING
            - IN_PROGRESS
            - COMPLETED
            - BLOCKED
            - CANCELLED
        assignedToID:
          type: string
          format: uuid
      required:
        - hrisAdminTaskId
        - status
    UpdateAdminTaskResponse:
      type: object
      properties:
        success:
          type: boolean
        hrisAdminTaskId:
          type: string
        status:
          type: string
      required:
        - success
        - hrisAdminTaskId
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
